# $progname(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

$progname - Program file name

## SYNOPSIS

$progname string

## DESCRIPTION

$progname contains the absolute file and path to the MicroEmacs 2009 binary file currently being executed. This value is typically used by macros to spawning another MicroEmacs 2009 sessions and to determine where MicroEmacs 2009 is being executed from.

## EXAMPLE

The following example is used to spawn of another MicroEmacs 2009 command to create a C-tags file:-

    shell-command &cat $progname " \"@ctags\" *.c *.h"

## SEE ALSO

me(1), shell-command(2), $search-path(5), $user-name(5), $user-path(5).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>